package co.yixiang.yshop.module.pay.strategy.type;

import co.yixiang.yshop.module.order.api.productorder.ProductOrderApi;
import co.yixiang.yshop.module.pay.controller.admin.merchantdetails.vo.PayParam;
import co.yixiang.yshop.module.pay.strategy.PayClient;

import java.util.Collections;
import java.util.Map;

public class NowMoneyPay implements PayClient {
    private final ProductOrderApi productOrderApi;

    public NowMoneyPay(ProductOrderApi productOrderApi) {
        this.productOrderApi = productOrderApi;
    }

    @Override
    public Map<String, String> payment(PayParam param) throws Exception {
        productOrderApi.yuePay(param.getOrderId(), param.getUid());
        //do something
        return Collections.emptyMap();
    }
}
